<!-- Vista de usuario-->
<div *ngIf="!isAdmin" class="modal-content mt-5 container" id="userDiv">
	<div class="row">
		<div class="col">
			<h1>Page Not Found <small>
					<font face="Tahoma" color="red">Error 404</font>
				</small></h1>
			<br />
			<p>Usuario no tiene los permisos suficientes para acceder a esta vista</p>
		</div>
	</div>
	<div class="row">
		<div class="col">
			<button class="btn btn-primary" routerLink="/home">
				<i class="fas fa-home"></i>
				Home</button>
		</div>
	</div>
</div>
<!-- Vista de administrador -->
<div *ngIf="isAdmin" class="container-fluid row">
	<!-- lista de usuarios con la opcion de ver el registro del personal -->

	<div class="container-fluid col-md-6">
		<hr>
		<p class="text-center">Usuarios</p>
		<table class="table table-light">
			<thead>
				<tr>
					<th>Usuario</th>
					<th>Correo</th>
					<th>Registro Personal</th>
					<th>Eliminar</th>
				</tr>
			</thead>
			<tbody>
				<tr *ngFor="let usr of users; let i = index">
					<td>{{usr.name}}</td>
					<td>{{usr.email}}</td>
					<td>
						<!-- <a (click)="getReportUser_Admin(usr.id)"> -->
						<a (click)="getReportUser_Today(usr.codFireBase)">
							<i class="fas fa-eye"></i>
						</a>
					</td>
					<td><a (click)="deleteUser_Admin(usr.codFireBase)">
							<i class="far fa-trash-alt"></i>
						</a>
					</td>
				</tr>
			</tbody>
		</table>
	</div>
	<!-- al seleccionar un usuarios este se muestra en el siguiente div con los datos
	de actividad por dia -->
	<div class="container-fluid col-md-6">
		<hr>
		<p class="text-center">Registro Personal:</p>
		<div class="row-4">
			<input class="col-md-4 m-1" type="date" [(ngModel)]="dateFrom" />
			<input class="col-md-4 m-1" type="date" [(ngModel)]="dateTo" />
			<button (click)="getReportUser_Admin()" class="col-md-3 m-1">Buscar</button>
		</div>
		<div class="row-8">
			<table class="table table-light">
				<thead>
					<tr>
						<th>Actividad</th>
						<th>Fecha</th>
						<th>Inicio</th>
					</tr>
				</thead>
				<tbody>
					<tr *ngFor="let reg of registroUser">
						<td>{{reg.leewayName}}</td>
						<td>{{reg.date}}</td>
						<td>{{reg.startTime}}</td>
					</tr>
				</tbody>
			</table>
		</div>
	</div>

	<div class="container-fluid row-md-12">
		<hr>
		<p class="text-center">Reporte general</p>
		<table class="table table-light">
			<thead>
				<tr>
					<th>Actividad</th>
					<th>Inicio</th>
					<th>Fecha</th>
					<th>Usuario</th>
					<th>Duración</th>
				</tr>
			</thead>
			<tbody>
				<tr *ngFor="let regAll of registroAll">
					<td>{{regAll.leewayName}}</td>
					<td>{{regAll.startTime}}</td>
					<td>{{regAll.date}}</td>
					<td>{{regAll.personName}}</td>
					<td>{{regAll.total}}</td>
				</tr>
			</tbody>
		</table>
	</div>
</div>